{% extends "base.html" %}
{% load staticfiles %}

{% block head_title %}Signup {% endblock %}
{% load staticfiles %}
{% load account socialaccount %}
{% load widget_tweaks %}

{% block container %}
    <div class="card contain-sm">
        <div class="card-head">
            <header class="text-primary">Sign Up Here</header>
        </div><!--end .card-head -->
        <div class="card-body">
            <form class="form floating-label signup" id="signup_form" method="post" novalidate="novalidate" action="{% url 'custom_signup' %}">
                {% csrf_token %}

                {% for hidden_field in form.hidden_fields %}
                    {{ hidden_field }}
                {% endfor %}
                {% if form.non_field_errors %}
                    <div class="alert alert-danger" role="alert">
                        {% for error in form.non_field_errors %}
                            {{ error }}
                        {% endfor %}
                    </div>
                {% endif %}

                {% for field in form.visible_fields %}
                        {% if form.is_bound %}
                            {% if field.errors %}
                                <div class="form-group has-error">
                                    {% render_field field class="form-control" %}
                                    {{ field.label_tag }}
                                    {% for error in field.errors %}
                                        <span class="text-danger help-block">{{ error }}</span>
                                    {% endfor %}
                                </div>
                            {% else %}
                                <div class="form-group">
                                    {% render_field field class="form-control" %}
                                    {{ field.label_tag }}
                                </div>
                            {% endif %}
                        {% else %}
                            <div class="form-group">
                                {% render_field field class="form-control" %}
                                {{ field.label_tag }}
                            </div>
                        {% endif %}

                        {% if field.help_text %}
                            <small class="form-text text-muted">{{ field.help_text }}</small>
                        {% endif %}
                {% endfor %}
                <div class="row">
                    {% if redirect_field_value %}
                        <input type="hidden" name="{{ redirect_field_name }}"
                               value="{{ redirect_field_value }}"/>
                    {% endif %}
                    <div class="">
                        <button class="btn btn-block btn-primary btn-raised submit" type="submit">Sign Up
                        </button>
                    </div><!--end .col -->
                </div><!--end .row -->
                <br>
                <div class="row">
                    <div class="text-danger">{{ form.non_field_errors }}</div>
                </div>
                <p>Already have an account? Then please <a href="{{ login_url }}">Sign In</a>
                </p>
            </form>
        </div><!--end .card-body -->
    </div>
{% endblock %}
